﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeViewLODSL4
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.FolderTreeView.ItemsSource = GenerateItems();
		}

		ObservableCollection<ViewModel> GenerateItems()
		{
			ObservableCollection<ViewModel> result = new ObservableCollection<ViewModel>();

			for (int i = 0; i < 5; i++)
			{
					result.Add(new ViewModel(String.Format("Item {0}", i)));
			}
			return result;
		}
		private void FolderTreeView_LoadOnDemand(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTreeViewItem item = e.Source as RadTreeViewItem;

			for (int i = 0; i < 5; i++)
			{
				(item.Item as ViewModel).Children.Add(new ViewModel(String.Format("{0}.{1}", (item.Item as ViewModel).Header, i)));
			}
			
		}
	}
}
